#include <bits/stdc++.h>
using namespace std;
int main()
{
    long long n,k;
    cin>>n>>k;
    vector<int> niza(n);
    for (int i=0;i<n;i++) {
        cin>>niza[i];
        if (niza[i]==0) {
            cout<<0;
            return 0;
        }
    }
    if (niza[n-1]!=1) {
        if (niza[n-1]!=0) {
            cout<<k;
            return 0;
        }
    }
    cout<<1;
    return 0;
}
